package com.ruoyi.model.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 不接单信息对象 single
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public class Single extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 不接单编号 */
    private Long singleId;

    /** 地址编号 */
    @Excel(name = "地址编号")
    private Long addressId;

    /** 删除标识 */
    private Integer delFlag;

    /** 不接单日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "不接单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date noordersDate;

    /** 不接单日期结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "不接单日期结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date noordersEnd;

    /** 不接单日期开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "不接单日期开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date noordersStart;

    /** 备注 */
    @Excel(name = "备注")
    private String reamk;

    /** 伴宠师编号 */
    @Excel(name = "伴宠师编号")
    private Long userId;

    public void setSingleId(Long singleId) 
    {
        this.singleId = singleId;
    }

    public Long getSingleId() 
    {
        return singleId;
    }
    public void setAddressId(Long addressId) 
    {
        this.addressId = addressId;
    }

    public Long getAddressId() 
    {
        return addressId;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setNoordersDate(Date noordersDate) 
    {
        this.noordersDate = noordersDate;
    }

    public Date getNoordersDate() 
    {
        return noordersDate;
    }
    public void setNoordersEnd(Date noordersEnd) 
    {
        this.noordersEnd = noordersEnd;
    }

    public Date getNoordersEnd() 
    {
        return noordersEnd;
    }
    public void setNoordersStart(Date noordersStart) 
    {
        this.noordersStart = noordersStart;
    }

    public Date getNoordersStart() 
    {
        return noordersStart;
    }
    public void setReamk(String reamk) 
    {
        this.reamk = reamk;
    }

    public String getReamk() 
    {
        return reamk;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("singleId", getSingleId())
            .append("addressId", getAddressId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("delFlag", getDelFlag())
            .append("noordersDate", getNoordersDate())
            .append("noordersEnd", getNoordersEnd())
            .append("noordersStart", getNoordersStart())
            .append("reamk", getReamk())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("userId", getUserId())
            .toString();
    }
}
